#! /bin/bash


# Update DarkLin repo & styx configuration
cd "/darklin/gentoo" && git pull 
cd "/darklin/darklin4" && git pull

# Update portage
emerge --sync && eix-sync
emerge -1 portage

# Update extra dist files
lftp http://darksoft.org/darklin/ << EOF
lcd /var/cache/
mirror -c distfiles
bye
EOF

# Skip binary packages
rm -f /etc/portage/sets/desktop-apps-bin

# Adjusting for legacy packets
rm -f /etc/portage/sets/legacy
rm -f /etc/portage/package.keywords/skip.keywords
rm -f /etc/portage/package.keywords/xdeps-perl*
rm -f /etc/portage/package.keywords/xdeps-firefox*
bash /etc/portage/scripts/gen-world-sets

# update layman
#bash /etc/portage/scripts/bootstrap/layman_reinit.sh


# reconfigure kernel if necessary
[ -f /usr/src/linux/.config ] || yes "" |  make -C /usr/src/linux oldconfig
